diff --git a/src/runtime/undefineds.h b/src/runtime/undefineds.h
index b1cb325..024b565 100644
--- a/src/runtime/undefineds.h
+++ b/src/runtime/undefineds.h
@@ -39,7 +39,8 @@ F(brk)
      || defined(SVR4) \
      || defined(__FreeBSD__) \
      || defined(__OpenBSD__) \
-     || defined(__NetBSD__)
+     || defined(__NetBSD__) \
+     || defined(__DragonFly__)
 F(cfgetospeed)
 F(cfsetospeed)
 F(cfgetispeed)
@@ -154,7 +155,7 @@ F(sigreturn)
 #if !defined(SVR4)
 F(sigsetmask)
 #endif
-#if !defined(SVR4) && !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__)
+#if !defined(SVR4) && !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__) && !defined(__DragonFly__)
 F(sigstack)
 F(sigvec)
 #endif
@@ -180,6 +181,7 @@ F(readdir)
      || defined(__FreeBSD__) \
      || defined(__OpenBSD__) \
      || defined(__NetBSD__) \
+     || defined(__DragonFly__) \
      || defined(__linux__)
 F(tcgetattr)
 F(tcsetattr)
@@ -198,6 +200,7 @@ F(umask)
      && !defined(SOLARIS) \
      && !defined(__OpenBSD__) \
      && !defined(__FreeBSD__) \
+     && !defined(__DragonFly__) \
      && !defined(__NetBSD__)
 F(umount)
 #endif
@@ -208,7 +211,7 @@ F(utimes)
 #ifndef irix
 F(vfork)
 #endif
-#if !defined(osf1) && !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__)
+#if !defined(osf1) && !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__) && !defined(__DragonFly__)
 F(vhangup)
 #endif
 F(wait)
